package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.BaseExample;

public class APIOpenSearchModel extends BaseExample {

    //主题分类
    private Long catelogTheme ;

    private String catelogThemeCode ;

    //部门
    private Long catelogSector ;

    private String sectorCode ;

    //开放类型
    private String openType ;

    //排除openType字段
    private String NotOpenType ;

    //发布状态
    private String publishState ;

    //名称
    private String resourceName ;

    //计费类型
    private String chargeMethod ;

    //排序
    private Integer sortType;

    private String  viewTimes;

    //api类型（数据/工具。。。。。）
    private String apiServiceType ;

    private String sortCategory;

    //服务标识
    private String resourceIdentity ;

    //标签
    private String serviceTag ;

    public Long getCatelogTheme() {
        return catelogTheme;
    }

    public void setCatelogTheme(Long catelogTheme) {
        this.catelogTheme = catelogTheme;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getNotOpenType() {
        return NotOpenType;
    }

    public void setNotOpenType(String notOpenType) {
        NotOpenType = notOpenType;
    }

    public String getPublishState() {
        return publishState;
    }

    public void setPublishState(String publishState) {
        this.publishState = publishState;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }

    public Long getCatelogSector() {
        return catelogSector;
    }

    public void setCatelogSector(Long catelogSector) {
        this.catelogSector = catelogSector;
    }

    public Integer getSortType() {
        return sortType;
    }

    public void setSortType(Integer sortType) {
        this.sortType = sortType;
    }

    public String getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(String viewTimes) {
        this.viewTimes = viewTimes;
    }

    public String getCatelogThemeCode() {
        return catelogThemeCode;
    }

    public void setCatelogThemeCode(String catelogThemeCode) {
        this.catelogThemeCode = catelogThemeCode;
    }

    public String getSectorCode() {
        return sectorCode;
    }

    public void setSectorCode(String sectorCode) {
        this.sectorCode = sectorCode;
    }

    public String getApiServiceType() {
        return apiServiceType;
    }

    public void setApiServiceType(String apiServiceType) {
        this.apiServiceType = apiServiceType;
    }

    public String getSortCategory() {
        return sortCategory;
    }

    public void setSortCategory(String sortCategory) {
        this.sortCategory = sortCategory;
    }

    public String getResourceIdentity() {
        return resourceIdentity;
    }

    public void setResourceIdentity(String resourceIdentity) {
        this.resourceIdentity = resourceIdentity;
    }

    public String getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(String serviceTag) {
        this.serviceTag = serviceTag;
    }
}
